Name: libocrdma
Version: 1.0.8
Release: 6%{?dist}
Summary: User-space Library for Emulex ROCE Device
Provides: libibverbs-driver.%{_arch}
License: GPLv2 or BSD
Url: https://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/%{name}/%{name}-%{version}.tar.gz

BuildRequires: libibverbs-devel >= 1.2.0

%description
libocrdma provides a device-specific user-space driver for Emulex
One Command RoCE Adapters for use with the libibverbs library.

%package static
Summary: Static version of the libocrdma driver
Requires: %{name}%{?_isa} = %{version}-%{release}

%description static
Static version of libocrdma that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libocrdma.so

%post
/sbin/ldconfig
if [ -e %{_sysconfdir}/dat.conf ]; then
    sed -e '/ofa-v2-scm-roe-ocrdma.* u2/d' -i %{_sysconfdir}/dat.conf
    dapl_ver=`find %{_libdir} \! -type l|grep libdat2.so|awk -F'libdat2.so.' '{print $2}'|cut -c1-3|head -1`
    if [ "${dapl_ver}" = "" ]; then
        dapl_ver="2.0"
    fi
    echo ofa-v2-scm-roe-ocrdma0-1 u${dapl_ver} nonthreadsafe default libdaploscm.so.2 dapl.${dapl_ver} '"ocrdma0 1" ""' >> %{_sysconfdir}/dat.conf
    echo ofa-v2-scm-roe-ocrdma1-1 u${dapl_ver} nonthreadsafe default libdaploscm.so.2 dapl.${dapl_ver} '"ocrdma1 1" ""' >> %{_sysconfdir}/dat.conf
    echo ofa-v2-scm-roe-ocrdma2-1 u${dapl_ver} nonthreadsafe default libdaploscm.so.2 dapl.${dapl_ver} '"ocrdma2 1" ""' >> %{_sysconfdir}/dat.conf
    echo ofa-v2-scm-roe-ocrdma3-1 u${dapl_ver} nonthreadsafe default libdaploscm.so.2 dapl.${dapl_ver} '"ocrdma3 1" ""' >> %{_sysconfdir}/dat.conf
fi

%postun
/sbin/ldconfig
if [ -e %{_sysconfdir}/dat.conf ]; then
    sed -e '/ofa-v2-scm-roe-ocrdma.* u2/d' -i %{_sysconfdir}/dat.conf
fi

%files
# All files are licensed as GPLv2.
%{_libdir}/libocrdma-rdmav2.so
%{_sysconfdir}/libibverbs.d/ocrdma.driver
%doc AUTHORS README
%license COPYING

%files static
# All files are licensed as GPLv2.
%{_libdir}/libocrdma*.a

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr  13 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.8-3
- Fixing a rpmlint error in post section

* Tue Apr  12 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.8-2
- Incorporating spec file review comments from Honggang Li <honli@redhat.com>

* Mon Apr  11 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.8-1
- Spec file cleanup, based on Fedora build suggestions.

* Fri Mar  4 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.6-2
- Spec file cleanup, based on Fedora review.

* Fri Feb 26 2016 Selvin Xavier <selvin.xavier@broadcom.com> - 1.0.6-1
- Initial version import to Fedora
